classification
Title: Base64 expansion factor is 4 to 3, not 6 to 4
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jens.Jørgen.Mortensen, ZackerySpytz, berker.peksag, docs@python, pitrou, r.david.murray
Priority: normal Keywords: patch

Created on 2016-08-24 09:25 by Jens.Jørgen.Mortensen, last changed 2018-02-14 00:50 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5666 merged ZackerySpytz, 2018-02-13 23:44
PR 5668 merged miss-islington, 2018-02-14 00:09
PR 5669 merged miss-islington, 2018-02-14 00:10
Messages (8)
msg273543 - (view) Author: Jens Jørgen Mortensen (Jens.Jørgen.Mortensen) Date: 2016-08-24 09:25
The documentation has a note saying: "Base64 has an expansion factor of 6 to 4".  I believe it should be 4 to 3.

https://docs.python.org/dev/library/base64.html
msg273552 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-08-24 12:46
Maybe we should just drop that note.  To achieve any sort of clarity we'd have to say that base85 is 15 for 12 and base64 is 16 for 12.  And putting it that way it doesn't seem like all that much of an advantage :)
msg273642 - (view) Author: Jens Jørgen Mortensen (Jens.Jørgen.Mortensen) Date: 2016-08-25 11:37
That would also be a solution.  Also, the sentence is not quite grammatically correct: "when space [is] expensive".
msg273671 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2016-08-25 16:53
Agreed with David.
msg312145 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-02-14 00:08
New changeset 88c38a4049ded0e1f197fec3e76be7c0c0e83d7a by Berker Peksag (Zackery Spytz) in branch 'master':
bpo-27846: Delete incorrect note in base64 docs (GH-5666)
https://github.com/python/cpython/commit/88c38a4049ded0e1f197fec3e76be7c0c0e83d7a
msg312147 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-02-14 00:48
New changeset 2e8d9003ed7a97955c36fa19a9ce7c43d9ec83e1 by Berker Peksag (Miss Islington (bot)) in branch '3.7':
bpo-27846: Delete incorrect note in base64 docs (GH-5666)
https://github.com/python/cpython/commit/2e8d9003ed7a97955c36fa19a9ce7c43d9ec83e1
msg312148 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-02-14 00:48
New changeset b93a52b136fd2285f2891eef91c50e3d36ea6f36 by Berker Peksag (Miss Islington (bot)) in branch '3.6':
bpo-27846: Delete incorrect note in base64 docs (GH-5666)
https://github.com/python/cpython/commit/b93a52b136fd2285f2891eef91c50e3d36ea6f36
msg312149 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2018-02-14 00:50
Thanks!
History
Date User Action Args
2018-02-14 00:50:03berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg312149

stage: patch review -> resolved
2018-02-14 00:48:30berker.peksagsetmessages: + msg312148
2018-02-14 00:48:03berker.peksagsetmessages: + msg312147
2018-02-14 00:10:04miss-islingtonsetpull_requests: + pull_request5471
2018-02-14 00:09:16miss-islingtonsetpull_requests: + pull_request5470
2018-02-14 00:08:57berker.peksagsetnosy: + berker.peksag
messages: + msg312145
2018-02-13 23:48:19ZackerySpytzsetnosy: + ZackerySpytz

versions: + Python 3.7, Python 3.8, - Python 3.5
2018-02-13 23:44:18ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request5468
2016-08-25 16:53:52pitrousetmessages: + msg273671
2016-08-25 16:51:22serhiy.storchakasetnosy: + pitrou
2016-08-25 11:38:43Jens.Jørgen.Mortensensetversions: + Python 3.5
2016-08-25 11:37:57Jens.Jørgen.Mortensensetmessages: + msg273642
versions: - Python 3.5
2016-08-24 12:46:48r.david.murraysetnosy: + r.david.murray

messages: + msg273552
versions: + Python 3.5
2016-08-24 09:25:37Jens.Jørgen.Mortensencreate